// SPDX-License-Identifier: GPL-2.0
/*
 * zc702_hdmi.h
 *
 *  Created on: 26 Nov 2018
 *      Author: florentw
 */

#ifndef SRC_ZC702_HDMI_H_
#define SRC_ZC702_HDMI_H_

// ZC702 I2C Addresses
#define ZC702_I2C_MUX_ADDR	0x74 // (PCA9458)
#define ZC702_USRCLK_ADDR	0x5D // (SI570)
#define ZC702_HDMI_ADDR		0x39 // (ADV7511)
#define ZC702_PMBUS0_ADDR	0x34 // (UCD9248)
#define ZC702_PMBUS1_ADDR	0x35 // (UCD9248)
#define ZC702_PMBUS2_ADDR	0x36 // (UCD9248)
#define ZC702_FMC_IPMI_ADDR	0x50 // (24LC02)

// ZC702 Mux Selections
#define ZC702_I2C_SELECT_USRCLK		0x01
#define ZC702_I2C_SELECT_HDMI      	0x02
#define ZC702_I2C_SELECT_EEPROM    	0x04
#define ZC702_I2C_SELECT_EXPANDER  	0x08
#define ZC702_I2C_SELECT_RTC       	0x10
#define ZC702_I2C_SELECT_FMC1      	0x20
#define ZC702_I2C_SELECT_FMC2      	0x40
#define ZC702_I2C_SELECT_PMBUS     	0x80

// ADV7511 ZC702 Configuration
#define ADV7511_FORMAT_ID_ZC702		0x01  //


#endif /* SRC_ZC702_HDMI_H_ */
